Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Select Arcs by with Normal Z = -1

22 REPLIES 22
SOLVED
Reply
Message 1 of 23
Anonymous
3365 Views, 22 Replies

Select Arcs by with Normal Z = -1

Newbie here trying to learn LISP. My first program is to flip all arcs and circles that have a Normal Z property of -1. But I'm having trouble finding a detailed list of commands and functions for the LISP language that explain creating circles to selecting entities filtered by properties. I must be searching for the wrong terminology.

 

Any links will be greatly apriciated.

 

Thx

 

Bill H.

22 REPLIES 22
Message 21 of 23
Anonymous
in reply to: hmsilva


@hmsilva wrote:

bhaushalter1,

in this example, in the pedit command, I used the option multiple to be faster, and in this way created two polylines

 

hope that helps

Henrique


That did it... Thanks.

Message 22 of 23
hmsilva
in reply to: Anonymous

You're welcome, bhaushalter1

EESignature

Message 23 of 23
Kent1Cooper
in reply to: Anonymous


@Anonymous wrote:

....

    ss (ssget "X" (list (cons 0 "ARC") (cons 210 '( 0 0 -1))))
....


Since nothing in that filter list requires any evaluation of variables, or calculations, but it's all known values, you can simplify it if you want:

 

    ss (ssget "X" '((0 . "ARC") (210 0 0 -1)))

 

or, find both Arcs and Circles as mentioned in the beginning:

 

    ss (ssget "X" '((0 . "ARC,CIRCLE") (210 0 0 -1)))

Kent Cooper, AIA

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost